Download it now!
Bug 86787 - Page style margin limited to 99.99mm
Summary: Page style margin limited to 99.99mm
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Rishabh
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 14:07 UTC by Moritz Ulmer
Modified: 2015-03-19 10:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Setting the margin size to a value above 99.99cm (59.14 KB, image/png)
2015-03-07 17:04 UTC, Moritz Ulmer
Details
The margin size is reset to 99.99cm (60.75 KB, image/png)
2015-03-07 17:04 UTC, Moritz Ulmer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Ulmer 2014-11-27 14:07:21 UTC
When setting the page style margin to a value above 100mm, the change is accepted. When reopening the page style editor, the value above 100mm, for example top 210mm, is reset to 99.99mm.

The problem with this behavior is that if you want to increase or decrease the value, then you have to remember which value you had earlier and then enter it from memory.

Kind Regards,
Moritz
Comment 1 Buovjaga 2015-03-06 11:31:05 UTC
Could not reproduce.

Please try with 4.4.1.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 2 Moritz Ulmer 2015-03-07 17:04:24 UTC
Created attachment 113955 [details]
Setting the margin size to a value above 99.99cm
Comment 3 Moritz Ulmer 2015-03-07 17:04:55 UTC
Created attachment 113956 [details]
The margin size is reset to 99.99cm
Comment 4 Moritz Ulmer 2015-03-07 17:06:21 UTC
Screenshots were taken to show the misbehaviour of libreoffice writer when setting a large margin. Used LO version 4.4.1.2
Comment 5 Buovjaga 2015-03-08 15:47:37 UTC
Sorry for lackluster testing on my part, yet it uncovered an interesting detail.

I had used centimeters instead of millimeters.
After changing the units to mm from Tools - Options - LibO Writer - General, I could observe the 99.99 mm bug. Changing the units to centimeters and then checking Format - Page, it had gone back to the correct 21.00 cm.

We can see that the 99.99 mm problem only affects the Format dialog preview and not the actual margin of the document.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+ (x64)
Build ID: 5a009a4387a84a36d2e3418c7e7b097cb10c3f5a
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-04_15:00:21
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.1.2
Build ID: 40m0(Build:2)
Locale: en_US

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 Moritz Ulmer 2015-03-08 16:41:02 UTC
Agreed. It only affects the dialog and not the document itself. Do you require any further assistance for the bug fix and when can the fix be expected to land in an official release?
Comment 7 Rishabh 2015-03-08 21:02:56 UTC
99.99 cm is the upper limit of the margin spin buttons to maintain the size and proportion in the page. I agree that it doesn't work properly in the case of mm.
Comment 8 Rishabh 2015-03-10 03:10:31 UTC
Pushed the changes . Up for the review.
Comment 9 Commit Notification 2015-03-19 10:51:13 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b76f7ee3f7ac7c37c62b4d91307a20d9faca01a

tdf#86787: Page style margin limited to 99.99mm

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.